Tag: android gradle

Deaktivieren Sie Abhängigkeitsberechtigungen

Ich bin derzeit auf das folgende Problem gerichtet: Ich habe die App 'A' entwickelt, die die Berechtigungen 1, 2, 3 verwendet und eine Drittanbieterbibliothek 'B' als Abhängigkeit verwendet (mit maven & gradle hinzugefügt). Die Bibliothek 'B' verwendet die Berechtigungen 4 und 5. Bei der Erstellung der App fügt die manifeste Fusion die Berechtigungen 4 und […]

Android-Build-Tools 1.1.0, Unit-Test-Ordner?

Ich habe vor kurzem die neuesten Tools von Google zu meinem Android-Projekt installiert: buildscript { repositories { jcenter() mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.1.0' } } allprojects { repositories { jcenter() } } apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion "21.1.2" compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 } defaultConfig { applicationId "com.xxx" minSdkVersion 10 […]

Warum verwendet die BuildConfig-Klasse Boolean.parseBoolean () anstelle von Literalwerten?

Beim Betrachten der von Android Studio und dem Gradle-Plugin erzeugten BuildConfig Klasse kann man sehen, dass das BuildConfig.DEBUG Feld mit dem Boolean.parseBoolean(String) BuildConfig.DEBUG initialisiert wird, anstatt eines der booleschen Literale true oder false . Wenn ich benutzerdefinierte Build-Eigenschaften mit Gradle Ich würde es einfach so machen: android { buildTypes.debug.buildConfigField 'boolean', 'SOME_SETTING', 'true' } Aber das […]

Fehler JSON.simple: java.util.zip.ZipException: doppelter Eintrag: org / hamcrest / BaseDescription.class

Ich bin vor einem Problem in Android-Studio nach dem Hinzufügen von JSON.simple und ermöglicht MultiDex und erhalten Sie die folgenden Fehler: Fehler: Ausführung fehlgeschlagen für Task ': app: packageAllDebugClassesForMultiDex'. Java.util.zip.ZipException: doppelter Eintrag: org / hamcrest / BaseDescription.class Hier ist mein build.gradle: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.1" defaultConfig { applicationId "com.MildlyGoodApps.EffortlessDescriptions" minSdkVersion […]

Dependency org.json: json: 20090211 wird für Debug ignoriert, da es in Konflikt mit der internen Version von Android geliefert werden kann

Während ich Android-Studio betreibe, erscheint die Warnung unten: Dependency org.json: json: 20090211 wird für Debug ignoriert, da es in Konflikt mit der internen Version von Android geliefert werden kann. Im Falle eines Problems, bitte verpacken mit jarjar, um die Klassenpakete zu ändern Wie kann ich diesen Fehler beheben? Vielen Dank.

Fehler: Ausführung fehlgeschlagen für Task ': app: processDebugResources'. > Bei Index 4

Ich habe Probleme beim Aufbau meines Projektes nach Revision 2 Update des neuesten SDK (Sorry, ich dont remeber die Versionsnummer). Ich laufe den Code erfolgreich vor. Ich glaube nicht, dass es irgendwelche Fehler in meinem Projekt gibt. Ich bekomme oft Fehlermeldung als "IDE interner Fehler aufgetreten" ist das alles damit zu tun. Bitte helfen Danke. […]

Aufruf von Gradle buildConfig mehrmals

Ich habe Schwierigkeiten herauszufinden, einen Weg, um mehrere Zeilen zu meinem BuildConfig mit Gradle hinzufügen. Es scheint, dass, wenn ich buildConfig ein zweites Mal anrufe, das erste verschwindet. Ich habe diese buildConfig ursprünglich von einem anderen Punkt hinzugefügt, konnte aber einen minimal reproduzierbaren Test erstellen, wenn ich das mache: buildTypes { debug { versionNameSuffix "-DEBUG" […]

Java.lang.IllegalAccessError: Methode 'void android.support.v4.content

Ich habe den Spieldienst in meinem Sdk aktualisiert und ich habe diesen Fehler bekommen. Und ich kann nicht auf GCM Token zugreifen. Vor dem Update sdk funktioniert mein Projekt perfekt. Ich verschwende den ganzen Tag darin, fand aber keine Lösung. Ich habe versucht, dies aber gettting Fehler in diesen Abhängigkeiten com.google.android.gms:play-services-plus:9.0.0 Hier ist mein logcat […]

Gradle – Wie bekomme ich Werte von AndroidManifest?

Inside build.gradle für Android-Projekt task runAndroidApplication(type: Exec, dependsOn: ':installDebug') { //TODO update Activity name below or find a way to get it from AndroidManifest.xml if (System.properties['os.name'].toLowerCase().contains('windows')) { // windows commandLine 'cmd', '/c', 'adb', 'shell', 'am', 'start', '-n', "com.example.androidapptorun.MainActivity" } else { // linux commandLine 'adb', 'shell', 'am', 'start', '-n', "com.example.androidapptorun.MainActivity" } } Wie bekomme ich […]

Fehler bei Android Gradle Plugin 0.13 und Android-apt 1.3

Ich habe gerade mein Android-Plugin von 0,12 auf 0,13 aktualisiert. Außerdem habe ich gradle 2.1 heruntergeladen. Dann habe ich versucht, mit Android Studio 0.8.9 in Beta aber nach http://tools.android.com/tech-docs/new-build-system/version-compatibility Ich muss mindestens Android Studio 0,8.11 (Kanarienvogel verwenden Kanal). Also habe ich mein Android-Studio aktualisiert, aber ich habe noch das Problem. Für jetzt muss ich gradle […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.